Subject: [Gen-art] Gen art review: draft-melnikov-imap-ext-abnf-08.txt (really)

From: Elwyn Davies <[email-masked]>
Date: Fri, 27 Jan 2006 12:22:27 +0000

This really is a review of version -08 even if it said -05 on the last mail.

I was selected as General Area Review Team reviewer for this specification
(for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Document: draft-melnikov-imap-ext-abnf-08.txt
Intended Status: Proposed Standard (Individual submission via AD)
Shepherding AD: Scott Hollenbeck
Review Trigger: IESG Telechat 2 February 2006

Summary:
This revision of the document deals with all my comments from the -05 version
which I reviewed for last call. It is ready for PS.  Good piece of work!

I found a few editorial nits in the updates, but these can be fixed during copy
editing.

Editorial nits (for forwarding to RFC Editor):
Abstract/s1: I guess we ought to expand ABNF on first occurrence (instead of at
the start of s3) and give the [ABNF] reference in s1.

s2.5, next to last para: s/Each modified is an/Each modifier is an/

s2.7: s/This document hasn't specified any semantical change/This document does
not specify any semantic change/
s2.7: s/got extended/had already been extended/

s3, comment to definition of append-ext: s/define/defines/

s3, comment to definition of search-program: It would be useful to reference the
RFC which specifies the relevant IANA registration procedure.

s4, para 2: Sugggest replacing:
       To the extent this document makes the	
       parser more complex, it makes this situation worse. To this extent	
       this document makes the parser more consistent and thus simpler,	
       the situation is improved.
   with:
       To the extent that this document makes the	
       parser more complex, it makes this situation worse. However	
       this document also makes the parser more consistent and thus simpler	
       overall, which is likely to improve the situation.

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art